
%define realname	Algorithm-Annotate

Name:		perl-%{realname}
Version:	0.10
Release: %mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl module to represent a series of changes in annotate form
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Algorithm/%{realname}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:  perl(Algorithm::Diff)
BuildArch:      noarch
%description
Algorithm::Annotate generates a list that is useful for generating output
similar to cvs annotate

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%{perl_vendorlib}/*
%{_mandir}/man3/*
%changelog
* Thu Jul 20 2006 Michael Scherer <misc@mandriva.org> 0.10-6mdv2007.0
- Rebuild

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-5mdk
- Fix BuildRequires Using perl Policies
	- Source URL
	- BuildRequires
- use mkrel


* Thu Apr 28 2005 Michael Scherer <misc@mandriva.org> 0.10-4mdk
- use check macro ( and also for amd64 )

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.10-3mdk
- rebuild for new Perl

* Tue Aug 31 2004 Michael Scherer <misc@mandrake.org> 0.10-2mdk 
- rebuild for new perl ( [DIRM] )

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.10-1mdk 
- First MandrakeSoft Package
